OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | Static Public Attributes | List of all members
VolumeKernelValue Struct Reference

The primary volume kernel. This function holds the generated body of AX programs. More...

`#include <openvdb_ax/codegen/VolumeComputeGenerator.h>`

## Public Types
using | Signature = void(const void *const, const int32_t(*)[3], void *, bool, int64_t, void **, const void *const *, int64_t)
using | FunctionTraitsT = codegen::FunctionTraits< Signature >

## Static Public Member Functions
static const std::array< std::string, N_ARGS > & | argumentKeys ()
static const char * | getDefaultName ()

## Static Public Attributes
static const size_t | N_ARGS = FunctionTraitsT::N_ARGS

## Detailed Description

The primary volume kernel. This function holds the generated body of AX programs.

argument structure is as follows: 1) - A void pointer to the ax::CustomData 2) - A pointer to an array of three ints representing the current voxel coord being accessed 3) - A void pointer to the current value buffer 4) - A bool representing the current values active state 5) - The index of the current tile in the parent tile's table 6) - A void pointer to a vector of void pointers, representing an array of grid accessors 7) - A void pointer to a vector of void pointers, representing an array of grid transforms 8) - The index of currently executing volume in the list of write accessible volumes.

## Member Typedef Documentation

## ◆ FunctionTraitsT

using FunctionTraitsT = codegen::FunctionTraits<Signature>

## ◆ Signature

using Signature = void(const void* const, const int32_t (*)[3], void*, bool, int64_t, void**, const void* const*, int64_t)

## Member Function Documentation

## ◆ argumentKeys()

static const std::array< std::string, N_ARGS > & argumentKeys | ( |  | ) |
| static

## ◆ getDefaultName()

static const char * getDefaultName | ( |  | ) |
| static

## Member Data Documentation

## ◆ N_ARGS

const size_t N_ARGS = FunctionTraitsT::N_ARGS
| static